<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Web Storage</title>
    <link rel="stylesheet" href="../css/cours.css">
    <style>
        button {
            padding:15px;
            margin: 15px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <p>L’API Web Storage permet de stocker des données sous forme de paires clefs/valeurs qui doivent obligatoirement être des chaines de caractères dans le navigateur de vos visiteurs. </p>
    <p>Pour stocker des données avec Web Storage, on va pouvoir utiliser les propriétés (qui sont avant tout des objets) <code>localstorage</code> et <code>sessionstorage</code>. On va utiliser ces propriétés avec l’objet implicite <code>Window</code>. </p>

    <p>La principale différence entre <code>localstorage</code> et <code>sessionstorage</code> est la suivante : dans le cas où on utilise <code>sessionstorage</code>, les données enregistrées ne vont subsister qu’après un rechargement de la page courante tandis que si on utilise <code>localstorage</code> les données vont subsister même après qu’un visiteur ait quitté son navigateur. </p>

    <form>
        <div>
            <label for='bgtheme' if="lbl-theme">Choisissez un thème (hexa) :</label>
            <input type="color" id='bgtheme' value='#fafafa'>
            <!--input type="text" id='bgtheme' value='FAFAFA'
                   pattern='[a-fA-F0-9]{6}'-->
        </div>
    </form>

    <script>

        let htmlElt = document.querySelector('html');

        let bgColor = document.getElementById('bgtheme');
        if(localStorage.getItem('bgtheme')){
            updateBg();
        }else{
            setBg();
        }

        function setBg(){
            console.log(bgColor.value)
            localStorage.setItem('bgtheme', bgColor.value);
            updateBg();
        }

        function updateBg(){
            let bg = localStorage.getItem('bgtheme');
            htmlElt.style.backgroundColor =  bg;
            bgColor.value = bg;
        }

        bgColor.addEventListener('change', setBg);

    </script>
</body>
</html>